Backport packages for 18.04.4 HWE stack

Bug #1848522 reported by Timo Aaltonen on 2019-10-17
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libclc (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
libdrm (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
llvm-toolchain-9 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
mesa (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xorg-server-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
xserver-xorg-video-ati-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Impact]

These are needed for 18.04.4 images.

[Test case]

Boot a daily image, see that it still has the necessary stack installed and working.

Check upgrade from stock bionic.

[Regression potential]

libdrm: very minimal chance for regressions

llvm-9: a new package, no regression potential on it's own

libclc: more or less just adds support for new llvm

mesa: a new major release, but we'll pull the final stable release of 19.2.x series, so there shouldn't be any regressions left at that point

xserver: a new git snapshot (or maybe a point-release)

xorg drivers: modest updates, mainly just new ati/amdgpu

[Other info]

Timo Aaltonen (tjaalton) on 2019-10-17
Changed in libclc (Ubuntu):
status: New → Invalid
Changed in libdrm (Ubuntu):
status: New → Invalid
Changed in llvm-toolchain-9 (Ubuntu):
status: New → Invalid
Changed in mesa (Ubuntu):
status: New → Invalid
Changed in xorg-server-hwe-18.04 (Ubuntu):
status: New → Invalid
Changed in libclc (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in libdrm (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in mesa (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xorg-server-hwe-18.04 (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in llvm-toolchain-9 (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Timo Aaltonen (tjaalton) wrote :

llvm-toolchain-9, libdrm uploaded to the queue

description: updated
Changed in llvm-toolchain-9 (Ubuntu Bionic):
status: New → In Progress
Changed in libdrm (Ubuntu Bionic):
status: New → In Progress

Hello Timo, or anyone else affected,

Accepted llvm-toolchain-9 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/llvm-toolchain-9/1:9-2~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in llvm-toolchain-9 (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted libdrm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libdrm/2.4.99-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libdrm (Ubuntu Bionic):
status: In Progress → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted libclc into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libclc/0.2.0+git20190827-1~ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libclc (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/19.2.1-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mesa (Ubuntu Bionic):
status: New → Fix Committed

All autopkgtests for the newly accepted mesa (19.2.1-1ubuntu1~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

firefox/70.0.1+build1-0ubuntu0.18.04.1 (armhf)
pymol/1.8.4.0+dfsg-1build1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#mesa

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Hello Timo, or anyone else affected,

Accepted xorg-server-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-server-hwe-18.04/2:1.20.5+git20191008-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in xorg-server-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hey Timo! How is this update looking? Is it looking good for the upcoming point release? Thanks!

Timo Aaltonen (tjaalton) wrote :

my limited testing worked, and these are already consumed by some oem images without issues, so marking verified

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic

The verification of the Stable Release Update for mesa has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.99-1ubuntu1~18.04.1

---------------
libdrm (2.4.99-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.4 HWE stack update. (LP: #1848522)

libdrm (2.4.99-1ubuntu1) eoan; urgency=medium

  * intel-sync-pciids.diff: Sync pci-ids with the kernel. (LP: #1845317)

 -- Timo Aaltonen <email address hidden> Mon, 21 Oct 2019 17:02:40 +0300

Changed in libdrm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package llvm-toolchain-9 - 1:9-2~ubuntu18.04.1

---------------
llvm-toolchain-9 (1:9-2~ubuntu18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.4 HWE stack update. (LP: #1848522)

 -- Timo Aaltonen <email address hidden> Mon, 21 Oct 2019 17:13:41 +0300

Changed in llvm-toolchain-9 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libclc - 0.2.0+git20190827-1~ubuntu18.04.1

---------------
libclc (0.2.0+git20190827-1~ubuntu18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.4 HWE stack update. (LP: #1848522)

 -- Timo Aaltonen <email address hidden> Mon, 21 Oct 2019 23:59:47 +0300

Changed in libclc (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 19.2.1-1ubuntu1~18.04.1

---------------
mesa (19.2.1-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.4 HWE stack update. (LP: #1848522)
  * control: Build-depend on libsensors4-dev.
  * Disable vulkan overlay layer, needs meson 0.46.
  * rules: Force -DNDEBUG, meson < 0.47 is buggy and doesn't set it even
    if we have b_ndebug=true. (LP: 1841412)
  * Revert-meson-drop-Wno-foo-bug-workaround.diff: Bionic still has
    0.45, so add back a workaround for it.
  * Revert-meson-bump-required-version-to-0.46.diff: Relax meson
    requirement.

 -- Timo Aaltonen <email address hidden> Mon, 18 Nov 2019 20:28:40 +0200

Changed in mesa (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server-hwe-18.04 - 2:1.20.5+git20191008-0ubuntu1~18.04.1

---------------
xorg-server-hwe-18.04 (2:1.20.5+git20191008-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.4 HWE stack update. (LP: #1848522)

 -- Timo Aaltonen <email address hidden> Wed, 18 Dec 2019 10:15:29 +0200

Changed in xorg-server-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-ati-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-ati-hwe-18.04/1:19.0.1-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in xserver-xorg-video-ati-hwe-18.04 (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-ati-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
removed: verification-done verification-done-bionic
Changed in xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-amdgpu-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu-hwe-18.04/19.0.1-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) wrote :

the ati/amdgpu drivers were for bug 1841718, which got verified

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-amdgpu-hwe-18.04 - 19.0.1-1ubuntu1~18.04.1

---------------
xserver-xorg-video-amdgpu-hwe-18.04 (19.0.1-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.3 HWE stack update. (LP: #1848522)

xserver-xorg-video-amdgpu (19.0.1-1ubuntu1) eoan; urgency=medium

  * dri3-always-flush-glamor.diff: Fix broken tooltips. (LP: #1841718)

 -- Timo Aaltonen <email address hidden> Thu, 17 Oct 2019 16:13:12 +0300

Changed in xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-ati-hwe-18.04 - 1:19.0.1-1ubuntu1~18.04.1

---------------
xserver-xorg-video-ati-hwe-18.04 (1:19.0.1-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.3 HWE stack update. (LP: #1848522)

xserver-xorg-video-ati (1:19.0.1-1ubuntu1) eoan; urgency=medium

  * dri3-always-flush-glamor.diff: Fix broken tooltips. (LP: #1841718)

 -- Timo Aaltonen <email address hidden> Thu, 17 Oct 2019 16:13:15 +0300

Changed in xserver-xorg-video-ati-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers